org.apache.myfaces.trinidad.change

## Class ComponentReferencingComponentChangeFilter<T extends javax.faces.component.UIComponent>

- java.lang.Object
- - org.apache.myfaces.trinidad.change.ComponentChangeFilter
  - - org.apache.myfaces.trinidad.change.ComponentReferencingComponentChangeFilter<T>

- Type Parameters:
    `T` - The type of UIComponent that this filter can keep references to
  All Implemented Interfaces:
    Serializable

      public abstract class ComponentReferencingComponentChangeFilter<T extends javax.faces.component.UIComponent>
      extends ComponentChangeFilter

  ComponentChangeFilter implementation that keeps reference to a Component. It is not appropriate for listeners to hold references to UIComponent instances beyond the request scope. This filter implementation converts the supplied component into a ComponentReference giving two advantages 1. Listeners can hold on to such filters beyond request scope 2. Takes care of serialization of the referenced component One of the uses of this class is to keep a reference to a root of a component subtree, and then filter ComponentChanges based on whether the target component of the ComponentChange belongs to the subtree.
  See Also:
    `ComponentReference`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.change.ComponentChangeFilter

      `ComponentChangeFilter.Result`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentReferencingComponentChangeFilter(T component)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected T` | `getComponent()`

    - ### Methods inherited from class org.apache.myfaces.trinidad.change.ComponentChangeFilter

      `accept`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentReferencingComponentChangeFilter

          public ComponentReferencingComponentChangeFilter(T component)

  - ### Method Detail

    - #### getComponent

          protected final T getComponent()

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.